local font = ...;
assert(...);

-- xxx: generally this happens when text is shrunk down a lot (0.45-0.5)
-- more than one arg
if #font > 1 then
	-- override; use lores
	if font[2] then
		local dasFont = font[1];
		return LoadFont( fontAliases[dasFont].Lores );
	end;
end;

if IsHighDefinition() then
	return LoadFont( fontAliases[font].Hires );
else
	return LoadFont( fontAliases[font].Lores );
end;
-- if it doesn't show up here, assume hires.
return LoadFont( fontAliases[font].Hires );